
From: Jes Sorensen <jes@wildopensource.com>

Tiny patch to make -mm3 compile on an NUMA box with NR_CPUS >
BITS_PER_LONG.



---

 kernel/sched.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sched.c~sched-build-fix kernel/sched.c
--- 25/kernel/sched.c~sched-build-fix	2004-01-19 22:28:35.000000000 -0800
+++ 25-akpm/kernel/sched.c	2004-01-19 22:28:35.000000000 -0800
@@ -3277,7 +3277,7 @@ static void __init arch_init_sched_domai
 		for_each_cpu_mask(j, node->cpumask) {
 			struct sched_group *cpu = &sched_group_cpus[j];
 
-			cpu->cpumask = CPU_MASK_NONE;
+			cpus_clear(cpu->cpumask);
 			cpu_set(j, cpu->cpumask);
 
 			printk(KERN_INFO "CPU%d\n", j);

_
